Bug 842268 - Schema tool does not configure jBPM5.
Schema tool does not configure jBPM5.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity high
: CR1
: 5.3.0 GA
Assigned To: Julian Coleman
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 05:52 EDT by Marek Baluch
Modified: 2014-10-15 13:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.3.0 CR1 (respin)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 13:26:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2012-07-23 05:52:35 EDT
Description of problem:

with CR1 jBPM5 defines it's own datasource located in the jbpm5.esb directory.

Required configuration by schema tool is the following:

jbpm5.esb/jbpm5-ds.xml
   - change connection-url, driver-class, username, password, ...
   
jbpm5.esb/META-INF/persistence.xml
   - change hibernate dialect
Comment 1 Marek Baluch 2012-07-23 09:08:05 EDT
Thank you very much for providing the fix so very very fast.

Please consider this BZ verified. I will change state when the fix will be included in the SOA build.
Comment 2 Julian Coleman 2012-07-23 12:47:35 EDT
Fix commited with revision 11308 of:

  soa-p/src/main/resources/soa-p/schema-tool/build.xml

Commit message:

  BZ 842268.
  Update for jBPM5 integration changes (re-added jbpm5.esb/jbpm5-ds.xml, altered
  jbpm5.esb/META-INF/persistence.xml).
Comment 3 Marek Baluch 2012-07-25 02:48:28 EDT
Verified in 5.3.CR1 respin

Note You need to log in before you can comment on or make changes to this bug.